Subject: Re: [PATCH net v2 2/2] net: stmmac: move fixed-link support fixup code

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Mar 2023 17:01:27 -0700

On Tue, 14 Mar 2023 15:02:08 +0800 Michael Sit Wei Hong wrote:
> xpcs_an_inband value is updated in the speed_mode_2500 function
> which turns on the xpcs_an_inband mode.
> 
> Moving the fixed-link fixup code to right before phylink setup to
> ensure no more fixup will affect the fixed-link mode configurations.
> 
> Fixes: 72edaf39fc65 ("stmmac: intel: add phy-mode and fixed-link ACPI _DSD setting support")
> Signed-off-by: Michael Sit Wei Hong <[email-masked]>

Ong Boon, since you added the code which gets moved - could we get 
an ack/review tag from you? Helps increase the confidence in the change.